<?php

namespace App\Tasks;

use App\Models\Transaction;
use Carbon\Carbon;

class UpdateMassive1Task
{

    public function handle()
    {
        Transaction::query()
            ->select([
                'id',
            ])
            ->where('id', '>', 0)
            ->chunkById(1000, function ($transactions) {
                foreach ($transactions as $transaction) {
                    Transaction::query()
                        ->where('id', '=', $transaction->id)
                        ->update([
                            'date' => Carbon::now(),
                            'value' => 1,
                        ]);
                }
            });

    }
}
